commit fdc2700d09530227a520e8d33623b7956582cffb
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Nov 2 01:17:59 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bcf6fe0c2c6..f8892a4f3f7 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211101
+20211102
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index bfc7f6c3d91..82087d42133 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,16 @@
+2021-11-01  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-01  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103022
+	* include/std/valarray (begin, end): Do not dereference an empty
+	valarray. Add noexcept and [[nodiscard]].
+	* testsuite/26_numerics/valarray/range_access.cc: Check empty
+	valarray. Check iterator properties. Run as well as compiling.
+	* testsuite/26_numerics/valarray/range_access2.cc: Likewise.
+	* testsuite/26_numerics/valarray/103022.cc: New test.
+
 2021-10-19  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

